Subject: [PATCH 0/2] git-submodule: make it easier to use alternate urls

From: Lars Hjemli <[email-masked]>
Date: Tue, 5 Jun 2007 11:29:10 +0200

This patch-series teaches git-submodule to register submodule urls in
.git/config during 'git-submodule init' and to perform the actual cloning
during 'git-submodule update', using the url stored in .git/config. So now
the downstream users can specify their preferred urls for each interesting
submodule by editing their .git/config after running 'git-submodule init'.

 Documentation/git-submodule.txt |   16 ++++----
 git-submodule.sh                |   83 ++++++++++++++++++++------------------
 t/t7400-submodule-basic.sh      |   38 ++++++++++++------
 3 files changed, 78 insertions(+), 59 deletions(-)